package com.tzy.framework.pay.service;

import com.tzy.framework.pay.dto.BankInfo;
import com.tzy.framework.pay.dto.PaymentRequestDto;
import com.tzy.framework.pay.dto.ResultMap;

public interface BankService {

    public BankInfo ReadySign(BankInfo bankInfo);
    public BankInfo ConfirmSign(BankInfo bankInfo);
    public BankInfo QueryBind(BankInfo bankInfo);
    public BankInfo unBind(BankInfo bankInfo);
    /**
     * 免密支付
     * @param payRequestBody
     * @return
     */
    public ResultMap SinglePay(PaymentRequestDto payRequestBody);
    /**
     * 预支付
     * @param payRequestBody
     */
    public ResultMap ReadyPay(PaymentRequestDto payRequestBody);

    /**
     * 确认支付
     * @param payRequestBody
     */
    public ResultMap ConfirmPay(PaymentRequestDto payRequestBody);

}
